- Qt 5.9
- ErrorPageExtensionReturn
- Qt 5.9.2 Reference Documentation

# ErrorPageExtensionReturn Class

class QWebPage::ErrorPageExtensionReturn

The ErrorPageExtensionReturn describes the error page, which will be shown for the frame for which the error occured. More...

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Variables

QUrl | baseUrl
QByteArray | content
QString | contentType
QString | encoding

## Detailed Description

The ErrorPageExtensionReturn class holds the data needed for creating an error page. Some are optional such as contentType, which defaults to "text/html", as well as the encoding, which is assumed to be UTF-8 if not indicated otherwise.

The error page is stored in the content byte array, as HTML content. In order to convert a QString to a byte array, the QString::toUtf8() method can be used.

External objects such as stylesheets or images referenced in the HTML are located relative to baseUrl.

See also QWebPage::extension(), QWebPage::ErrorPageExtensionOption, and QString::toUtf8().

## Member Variable Documentation

### QUrl ErrorPageExtensionReturn::baseUrl

This variable holds the base url

External objects such as stylesheets or images referenced in the HTML are located relative to this url.

### QByteArray ErrorPageExtensionReturn::content

This variable holds the HTML content of the error page

### QString ErrorPageExtensionReturn::contentType

This variable holds the error page's content type

### QString ErrorPageExtensionReturn::encoding

This variable holds the error page encoding